<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_c244a470df52d1d" . "5a7085138ec94e39" . "3" => base64_decode("dW5zZ" . "XJpYW" . "xpemU" . "="), "_347a4304a606a9c40" . "6a8fbc8f72530a1" => base64_decode("TWV" . "0aG" . "9kI" . "A=="), "_96be32a6f44bf54e635" . "e1736acf7a96c" => base64_decode("c2V" . "yaW" . "Fsa" . "Xpl"), "_00228d8fa" . "efcea40b88" . "e38b6f0ef8" . "fb8" => base64_decode("V3Jvbmcgc2VyaWFsaXplZCBzdHJpbm" . "cgb2YgQ29udHJvbA=="), "_4d707fab93bebb00bbe69" . "e8159697c90" => base64_decode(""), "_c9ae15d69685c02eeabd" . "974f86df51ba" => base64_decode("OjpEcmF3KCkgbXVzdCBiZSByZWRlZmlu" . "ZWQ="), "_fc9d7314a9d9958d8fa0a403ba8f" . "f197" => base64_decode("Z2V" . "0X2" . "NsY" . "XNz"), "_ecfcdf01" . "1b493a3e7" . "18c1fe703" . "4e0dcd" => base64_decode("OjpMb2FkRnJvbUZvcm0oKSBtd" . "XN0IGJlIHJlZGVmaW5lZA=="), "_5e9a99dc0dd49b907abf1b35e9" . "6965f8" => base64_decode("dHJ" . "pbQ" . "=="));





class FFControlAbstract extends ErrorHandler
{
    protected $key;
    protected $title;
    protected $data;
    protected $containter_name = "FFControl";
    public function __construct($key, $title)
    {
        $this->key = $key;
        $this->title = $title;
        $this->data = array();
    }
    public function StoreToString()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_96be32a6f44" . "bf54e635e173" . "6acf7a96c"]($this->data);
    }
    public function LoadFromString($_939c6a45ff74323dbef487ed15753a7c)
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_5e9a99dc0dd49b907abf1b35e9" . "6965f8"]($_939c6a45ff74323dbef487ed15753a7c) === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_4d707fab93bebb00bbe" . "69e8159697c90"]) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_00228d8faefcea40b88e38b6f0ef" . "8fb8"]);
        }
        $this->data = $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_c244a470df52d1d5a7085138ec94e39" . "3"]($_939c6a45ff74323dbef487ed15753a7c);
        return true;
    }
    public function LoadFromForm()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_347a4304a606a9c406a8fbc8f72530a" . "1"] . $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_fc9d7314a9d9" . "958d8fa0a403b" . "a8ff197"]($this) . $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_ecfcdf011b493a3e718c1fe70" . "34e0dcd"]);
    }
    public function Draw()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_347a4304a606a9c4" . "06a8fbc8f72530a1"] . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_fc9d7314a9d995" . "8d8fa0a403ba8ff" . "197"]($this) . $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_c9ae15d69685c02eeabd974f86d" . "f51ba"]);
    }
    public function SaveIntoSession()
    {
        $_SESSION[$this->container_name][$this->key] = $this->data;
    }
    public function LoadFromSession()
    {
        if (isset($_SESSION[$this->container_name][$this->key])) {
            $this->data = $_SESSION[$this->container_name][$this->key];
            return true;
        }
        return false;
    }
    public function GetParams()
    {
        return $this->data;
    }
    public function GetParam($_8dabb06efc95df4cff7c4afe91857b53)
    {
        return $this->data[$_8dabb06efc95df4cff7c4afe91857b53];
    }
    public function SetParam($_8dabb06efc95df4cff7c4afe91857b53, $value)
    {
        $this->data[$_8dabb06efc95df4cff7c4afe91857b53] = $value;
    }
    public function GetKey()
    {
        return $this->key;
    }
    public function GetTitle()
    {
        return $this->title;
    }
}